FreeMat

- Main Page
- Related Pages

vtkImageReader2Factory

Section: Visualization Toolkit IO Classes

# Usage

vtkImageReader2Factory: This class is used to create a vtkImageReader2 object given a path name to a file. It calls CanReadFile on all available readers until one of them returns true. The available reader list comes from three places. In the InitializeReaders function of this class, built-in VTK classes are added to the list, users can call RegisterReader, or users can create a vtkObjectFactory that has CreateObject method that returns a new vtkImageReader2 sub class when given the string "vtkImageReaderObject". This way applications can be extended with new readers via a plugin dll or by calling RegisterReader. Of course all of the readers that are part of the vtk release are made automatically available.

To create an instance of class vtkImageReader2Factory, simply invoke its constructor as follows

      obj = vtkImageReader2Factory

# Methods

The class vtkImageReader2Factory has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageReader2Factory class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageReader2Factory = obj.NewInstance ()`
- `vtkImageReader2Factory = obj.SafeDownCast (vtkObject o)`